Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model.impl
Class DefaultOWLDataRange

    java.lang.Object
      edu.stanford.smi.protege.model.DefaultFrame
          edu.stanford.smi.protege.model.DefaultInstance
              edu.stanford.smi.protege.model.DefaultSimpleInstance
                  edu.stanford.smi.protegex.owl.model.impl.DefaultRDFIndividual
                      edu.stanford.smi.protegex.owl.model.impl.DefaultOWLDataRange

All Implemented Interfaces:
  edu.stanford.smi.protege.model.Frame, edu.stanford.smi.protege.model.Instance, edu.stanford.smi.protege.model.Localizable, edu.stanford.smi.protege.model.SimpleInstance, OWLDataRange, ProtegeInstance, RDFIndividual, RDFObject, RDFResource, Visitable, Serializable, Comparable<edu.stanford.smi.protege.model.Frame>

    public class DefaultOWLDataRange

extends DefaultRDFIndividual
implements OWLDataRange

Author:
  Holger Knublauch
See Also:
  Serialized Form

Constructor Summary
`DefaultOWLDataRange()`
`DefaultOWLDataRange(edu.stanford.smi.protege.model.KnowledgeBase kb, edu.stanford.smi.protege.model.FrameID id)`

Method Summary
`void` | `accept(OWLModelVisitor visitor)` This method is provided to be used with the `OWLModelVisitor`, which is part of the visitor design pattern.
`boolean` | `equalsStructurally(RDFObject object)` Determines whether or not the specified class is structurally equal to this class.
`String` | `getBrowserText()` Gets a human-readable visual representation of this resource.
`RDFList` | `getOneOf()` Gets a collection of the values in this owl:DataRange.
`List` | `getOneOfValueLiterals()` Gets the values of the owl:oneOf property as RDFSLiterals.
`List` | `getOneOfValues()` Gets the values of the owl:oneOf property.
`RDFSDatatype` | `getRDFDatatype()` Gets the RDFSDatatype of the first element in this data range.

Methods inherited from class edu.stanford.smi.protegex.owl.model.impl.DefaultRDFIndividual
`addComment, addDifferentFrom, addIsDefinedBy, addLabel, addPropertyValue, addPropertyValueListener, addProtegeType, addRDFType, addResourceListener, addSameAs, addVersionInfo, as, canAs, getAllValuesFromOnTypes, getComments, getDifferentFrom, getDocumentation, getHasValuesOnTypes, getIcon, getIconLocation, getIconName, getInferredTypes, getIsDefinedBy, getLabels, getLocalName, getNamespace, getNamespacePrefix, getOWLModel, getPossibleRDFProperties, getPrefixedName, getPropertyValue, getPropertyValue, getPropertyValueAs, getPropertyValueCount, getPropertyValueLiteral, getPropertyValueLiterals, getPropertyValues, getPropertyValues, getPropertyValuesAs, getProtegeType, getProtegeTypes, getRDFProperties, getRDFType, getRDFTypes, getReferringAnonymousClasses, getSameAs, getURI, getVersionInfo, hasPropertyValue, hasPropertyValue, hasPropertyValue, hasPropertyValue, hasProtegeType, hasProtegeType, hasRDFType, hasRDFType, isAnonymous, isValidPropertyValue, listPropertyValues, listPropertyValues, listPropertyValuesAs, listRDFTypes, removeComment, removeDifferentFrom, removeIsDefinedBy, removeLabel, removePropertyValue, removePropertyValueListener, removeProtegeType, removeRDFType, removeResourceListener, removeSameAs, removeVersionInfo, setComment, setComments, setDocumentation, setInferredTypes, setPropertyValue, setPropertyValues, setProtegeType, setProtegeTypes, setRDFType, setRDFTypes, toString`

Methods inherited from class edu.stanford.smi.protege.model.DefaultSimpleInstance
`rename`

Methods inherited from class edu.stanford.smi.protege.model.DefaultInstance
`addDirectType, addInstanceListener, copy, deepCopy, getDirectType, getDirectTypes, getOwnFacetValue, getOwnFacetValues, getReachableSimpleInstances, hasDirectType, hasType, moveDirectType, removeDirectType, removeInstanceListener, setDirectType, setDirectTypes, shallowCopy`

Methods inherited from class edu.stanford.smi.protege.model.DefaultFrame
`addFrameListener, addOwnFacetValue, addOwnSlotValue, areValidOwnSlotValues, assertFrameName, compareTo, delete, equals, equals, getDefaultKnowledgeBase, getDefiningProjectURI, getDirectOwnSlotValue, getDirectOwnSlotValues, getFrameID, getInvalidOwnSlotValuesText, getInvalidOwnSlotValueText, getKnowledgeBase, getName, getOwnSlotAllowsMultipleValues, getOwnSlotAndSubslotValues, getOwnSlotDefaultValues, getOwnSlotFacets, getOwnSlotFacetValues, getOwnSlots, getOwnSlotValue, getOwnSlotValueCount, getOwnSlotValues, getOwnSlotValueType, getProject, getReferences, getReferences, hashCode, hasOwnSlot, isBeingDeleted, isDeleted, isEditable, isIncluded, isSystem, isValid, isValidOwnSlotValue, isVisible, localize, markDeleted, markDeleting, moveDirectOwnSlotValue, removeFrameListener, removeOwnSlotValue, setDirectOwnSlotValue, setDirectOwnSlotValues, setDocumentation, setEditable, setIncluded, setOwnFacetValue, setOwnFacetValues, setOwnSlotValue, setOwnSlotValues, setSystem, setVisible`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.RDFResource
`addComment, addDifferentFrom, addIsDefinedBy, addLabel, addPropertyValue, addPropertyValueListener, addProtegeType, addRDFType, addResourceListener, addSameAs, addVersionInfo, as, canAs, delete, getAllValuesFromOnTypes, getComments, getDifferentFrom, getHasValuesOnTypes, getIconLocation, getIconName, getInferredTypes, getIsDefinedBy, getLabels, getLocalName, getName, getNamespace, getNamespacePrefix, getOWLModel, getPossibleRDFProperties, getPrefixedName, getPropertyValue, getPropertyValue, getPropertyValueAs, getPropertyValueCount, getPropertyValueLiteral, getPropertyValueLiterals, getPropertyValues, getPropertyValues, getPropertyValuesAs, getProtegeType, getProtegeTypes, getRDFProperties, getRDFType, getRDFTypes, getReferringAnonymousClasses, getSameAs, getURI, getVersionInfo, hasPropertyValue, hasPropertyValue, hasPropertyValue, hasPropertyValue, hasProtegeType, hasProtegeType, hasRDFType, hasRDFType, isAnonymous, isValidPropertyValue, isVisible, listPropertyValues, listPropertyValues, listPropertyValuesAs, listRDFTypes, removeComment, removeDifferentFrom, removeIsDefinedBy, removeLabel, removePropertyValue, removePropertyValueListener, removeProtegeType, removeRDFType, removeResourceListener, removeSameAs, removeVersionInfo, setComment, setComments, setInferredTypes, setPropertyValue, setPropertyValues, setProtegeType, setProtegeTypes, setRDFType, setRDFTypes, setVisible`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.ProtegeInstance
`addDirectType, addFrameListener, addInstanceListener, addOwnFacetValue, addOwnSlotValue, areValidOwnSlotValues, copy, deepCopy, getDirectOwnSlotValue, getDirectOwnSlotValues, getDirectType, getDirectTypes, getDocumentation, getIcon, getInvalidOwnSlotValuesText, getInvalidOwnSlotValueText, getKnowledgeBase, getOwnFacetValue, getOwnFacetValues, getOwnSlotAllowsMultipleValues, getOwnSlotAndSubslotValues, getOwnSlotDefaultValues, getOwnSlotFacets, getOwnSlotFacetValues, getOwnSlots, getOwnSlotValue, getOwnSlotValueCount, getOwnSlotValues, getOwnSlotValueType, getProject, getReachableSimpleInstances, getReferences, getReferences, hasDirectType, hasOwnSlot, hasType, isBeingDeleted, isDeleted, isEditable, isIncluded, isSystem, isValidOwnSlotValue, markDeleted, markDeleting, removeDirectType, removeFrameListener, removeInstanceListener, removeOwnSlotValue, setDirectOwnSlotValue, setDirectOwnSlotValues, setDirectType, setDirectTypes, setDocumentation, setDocumentation, setEditable, setIncluded, setOwnFacetValue, setOwnFacetValues, setOwnSlotValue, setOwnSlotValues, shallowCopy`

Methods inherited from interface edu.stanford.smi.protege.model.Instance
`moveDirectType`

Methods inherited from interface edu.stanford.smi.protege.model.Frame
`assertFrameName, getFrameID, isValid, moveDirectOwnSlotValue, rename`

Methods inherited from interface java.lang.Comparable
`compareTo`

Constructor Detail

### DefaultOWLDataRange

    public DefaultOWLDataRange(edu.stanford.smi.protege.model.KnowledgeBase kb,
                               edu.stanford.smi.protege.model.FrameID id)

### DefaultOWLDataRange

    public DefaultOWLDataRange()

Method Detail

### equalsStructurally

    public boolean equalsStructurally(RDFObject object)

  Description copied from interface: `RDFObject`
  Determines whether or not the specified class is structurally equal to this class. Note that this does not test for structural equivalence using structural subsumption tests.

  Specified by:
    `equalsStructurally` in interface `RDFObject`
  Overrides:
    `equalsStructurally` in class `DefaultRDFIndividual`
  Parameters:
    `object` - The class to test against.
  Returns:
    `true` if the class is structurally equal to this, `false` if the class is not structurally equal to this.

### getBrowserText

    public String getBrowserText()

  Description copied from interface: `RDFResource`
  Gets a human-readable visual representation of this resource. This is typically just the name of the resource, but for example, with anonymous class expressions this will return the full expression including special symbols.

  Specified by:
    `getBrowserText` in interface `edu.stanford.smi.protege.model.Frame`
  Specified by:
    `getBrowserText` in interface `ProtegeInstance`
  Specified by:
    `getBrowserText` in interface `RDFObject`
  Specified by:
    `getBrowserText` in interface `RDFResource`
  Overrides:
    `getBrowserText` in class `edu.stanford.smi.protege.model.DefaultInstance`
  Returns:
    the browser text

### getOneOf

    public RDFList getOneOf()

  Description copied from interface: `OWLDataRange`
  Gets a collection of the values in this owl:DataRange. The values are either primitive objects or RDFLiterals.

  Specified by:
    `getOneOf` in interface `OWLDataRange`
  Returns:
    the values

### getOneOfValueLiterals

    public List getOneOfValueLiterals()

  Description copied from interface: `OWLDataRange`
  Gets the values of the owl:oneOf property as RDFSLiterals.

  Specified by:
    `getOneOfValueLiterals` in interface `OWLDataRange`
  Returns:
    the values as RDFSLiterals

### getOneOfValues

    public List getOneOfValues()

  Description copied from interface: `OWLDataRange`
  Gets the values of the owl:oneOf property.

  Specified by:
    `getOneOfValues` in interface `OWLDataRange`
  Returns:
    the values

### getRDFDatatype

    public RDFSDatatype getRDFDatatype()

  Description copied from interface: `OWLDataRange`
  Gets the RDFSDatatype of the first element in this data range.

  Specified by:
    `getRDFDatatype` in interface `OWLDataRange`
  Returns:
    the RDFSDatatype or null if this is empty

### accept

    public void accept(OWLModelVisitor visitor)

  Description copied from interface: `Visitable`
  This method is provided to be used with the `OWLModelVisitor`, which is part of the visitor design pattern. By implementing this method, instances of the implementing class are stating that they can accept an `OWLModelVisitor`

  Specified by:
    `accept` in interface `Visitable`
  Overrides:
    `accept` in class `DefaultRDFIndividual`
  Parameters:
    `visitor` - The visitor that will operate on this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.